(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     15765,        406]
NotebookOptionsPosition[     15058,        386]
NotebookOutlinePosition[     15492,        403]
CellTagsIndexPosition[     15449,        400]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8117594224985747`*^9, 3.811759429914921*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"751869f7-173f-4d49-a48d-560e188f6f18"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "a"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "j"}], "}"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Valencias", "[", "grafo", "]"}]}], "Input",
 CellChangeTimes->{{3.8117594341020436`*^9, 3.811759613928459*^9}, {
  3.811759655690749*^9, 3.8117596971039104`*^9}, {3.811760140139428*^9, 
  3.811760144689925*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"9622f4db-8f02-4c6b-9c40-abf1f1045f88"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`e, \
$CellContext`h, $CellContext`d, $CellContext`g, $CellContext`f, \
$CellContext`i, $CellContext`j}, {
      Null, {{1, 1}, {1, 2}, {1, 3}, {2, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 6}, {
       3, 7}, {6, 8}, {6, 7}, {4, 7}, {4, 9}, {4, 10}, {8, 5}, {8, 9}, {8, 
       9}, {8, 9}, {7, 7}, {7, 5}, {5, 10}, {9, 10}}}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{0., 
          1.574320434179365}, {-0.1638842121443419, 
          1.4425293149628886`}, {-0.36716172152588356`, 
          1.4801685480995972`}, {-0.4550097591494817, 
          1.589408886295086}, {-0.2880777790661811, 
          1.92684381711561}, {-0.14794156310247975`, 1.9232983723259234`}, {
          0.0053189365362383, 1.7845551672960094`}, {0., 1.574320434179365}},
          SplineDegree->7], 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[{{0., 1.574320434179365}, {1.0680232669995169`, 
          1.6006089712367937`}}, 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[{{0., 1.574320434179365}, {0.5545271543826997, 
          0.8095644249896858}}, 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.0680232669995169`, 1.6006089712367937`}, {
          0.5545271543826997, 0.8095644249896858}}, 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.0680232669995169`, 1.6006089712367937`}, {
          2.1641821408954827`, 1.657245770810265}}, 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.0680232669995169`, 1.6006089712367937`}, {
          2.118696998123039, 1.0944113157528272`}}, 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{0.5545271543826997, 0.8095644249896858}, {
          1.0696275046091155`, 0.5304067118626182}, {1.318477096959178, 0.}}],
           0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{0.5545271543826997, 0.8095644249896858}, {
          0.8033767467327645, 0.27915771312706816`}, {1.318477096959178, 
          0.}}], 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[{{0.5545271543826997, 0.8095644249896858}, {
          1.4259014313891534`, 0.8150914026459342}}, 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[{{2.1641821408954827`, 1.657245770810265}, {
          1.4259014313891534`, 0.8150914026459342}}, 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[{{2.1641821408954827`, 1.657245770810265}, {
          3.099524015912211, 1.0170741956972866`}}, 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[{{2.1641821408954827`, 1.657245770810265}, {
          2.9808660507317684`, 1.7455260987307637`}}, 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[{{2.118696998123039, 1.0944113157528272`}, {
          1.4259014313891534`, 0.8150914026459342}}, 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[{{2.118696998123039, 1.0944113157528272`}, {
          2.4507627944699144`, 0.18915366121253607`}}, 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[{{2.118696998123039, 1.0944113157528272`}, {
          2.9808660507317684`, 1.7455260987307637`}}, 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.318477096959178, 0.}, {1.4259014313891534`, 
          0.8150914026459342}}, 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.318477096959178, 0.}, {2.4507627944699144`, 
          0.18915366121253607`}}, 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{1.4259014313891534`, 0.8150914026459342}, {
          1.1363375878506026`, 0.9312208600855837}, {1.0886915153001486`, 
          1.0707819388162885`}, {1.1120055934829651`, 1.1673824995841067`}, {
          1.3649474180800871`, 1.2829847903938771`}, {1.4532468734917257`, 
          1.2373950902832214`}, {1.527591576859334, 1.1100361172693682`}, {
          1.4259014313891534`, 0.8150914026459342}},
          SplineDegree->7], 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{2.4507627944699144`, 
          0.18915366121253607`}, {2.638999533892144, 0.7097967084523098}, {
          3.099524015912211, 1.0170741956972866`}}], 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[{{2.4507627944699144`, 0.18915366121253607`}, {
          3.099524015912211, 1.0170741956972866`}}, 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{2.4507627944699144`, 
          0.18915366121253607`}, {2.9112872764899898`, 0.4964311484575139}, {
          3.099524015912211, 1.0170741956972866`}}], 0.03094900795369944]}, 
        {Arrowheads[0.], 
         ArrowBox[{{3.099524015912211, 1.0170741956972866`}, {
          2.9808660507317684`, 1.7455260987307637`}}, 0.03094900795369944]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 1.574320434179365}, 0.03094900795369944], 
         InsetBox["a", 
          Offset[{2, 2}, {0.03094900795369944, 1.6052694421330644}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0680232669995169, 1.6006089712367937}, 
          0.03094900795369944], 
         InsetBox["b", 
          Offset[{2, 2}, {1.0989722749532163, 1.631557979190493}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.5545271543826997, 0.8095644249896858}, 
          0.03094900795369944], 
         InsetBox["c", 
          Offset[{2, 2}, {0.5854761623363992, 0.8405134329433853}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1641821408954827, 1.657245770810265}, 
          0.03094900795369944], 
         InsetBox["e", 
          Offset[{2, 2}, {2.1951311488491823, 1.6881947787639644}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.118696998123039, 1.0944113157528272}, 
          0.03094900795369944], 
         InsetBox["h", 
          Offset[{2, 2}, {2.1496460060767384, 1.1253603237065266}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.318477096959178, 0.}, 0.03094900795369944], 
         InsetBox["d", 
          Offset[{2, 2}, {1.3494261049128773, 0.03094900795369944}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.4259014313891534, 0.8150914026459342}, 
          0.03094900795369944], 
         InsetBox["g", 
          Offset[{2, 2}, {1.4568504393428527, 0.8460404105996336}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.4507627944699144, 0.18915366121253607}, 
          0.03094900795369944], 
         InsetBox["f", 
          Offset[{2, 2}, {2.481711802423614, 0.2201026691662355}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.099524015912211, 1.0170741956972866}, 
          0.03094900795369944], 
         InsetBox["i", 
          Offset[{2, 2}, {3.1304730238659104, 1.048023203650986}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.9808660507317684, 1.7455260987307637}, 
          0.03094900795369944], 
         InsetBox["j", Offset[{2, 2}, {3.011815058685468, 1.776475106684463}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8117596463149614`*^9, 3.811759697915954*^9}, 
   3.8117601456465673`*^9, 3.8117602641612124`*^9, 3.811764435057799*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"dbea1df0-1ee5-4328-84b1-fe8ebf9c39c0"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["i",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["j",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox["\<\"Grado o valencia\"\>",
       HoldForm], "4", "4", "5", "4", "4", "4", "6", "5", "5", "3"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{"Grado o valencia"}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`i, 
        GrayLevel[0]], 
       Style[$CellContext`j, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{{3.8117596463149614`*^9, 3.811759697915954*^9}, 
   3.8117601456465673`*^9, 3.8117602641612124`*^9, 3.811764435073756*^9},
 CellLabel->
  "Out[23]//TableForm=",ExpressionUUID->"9d95bf7d-693d-48df-a024-\
e00a92dc731d"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"e2653315-ef51-40ea-8d26-de22af32c202"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 200, 3, 63, "Input",ExpressionUUID->"751869f7-173f-4d49-a48d-560e188f6f18"],
Cell[CellGroupData[{
Cell[783, 27, 1816, 53, 351, "Input",ExpressionUUID->"9622f4db-8f02-4c6b-9c40-abf1f1045f88"],
Cell[2602, 82, 8176, 161, 467, "Output",ExpressionUUID->"dbea1df0-1ee5-4328-84b1-fe8ebf9c39c0"],
Cell[10781, 245, 4261, 138, 144, "Output",ExpressionUUID->"9d95bf7d-693d-48df-a024-e00a92dc731d"]
}, Open  ]]
}
]
*)

